MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029748Open CASCADE[OCCT] OCCT:Inspectorspublic2018-05-08 20:132018-07-05 10:06
Reporternds 
Assigned Toabv 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029748: Samples - Inspector tool - use recently opened files in TInspectorEXE
DescriptionDue to preferences mechanizm is implemented in Inspector tool, it would be useful to use recently opened files in Inspector executable sample instead of files of some default directory.

Open Dialog will give an access to these files.
Each next start of TInspectorEXE application will open the last opened file.
Cache of files to be stored in preferences is bounded by 10 files.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0075906)
git (administrator)
2018-05-08 20:22

Branch CR29748 has been created by nds.

SHA-1: c3a617a095fd451ffd1ce4e5ccc08ef4ee903e51


Detailed log of new commits:

Author: nds
Date: Tue May 8 20:21:08 2018 +0300

    0029748: Samples - Inspector tool - use recently opened files in TInspectorEXE
    
    - recently files using in open file dialog
    - correction of TInspectorEXE title to show opened file path by Start
(0075911)
nds (developer)
2018-05-10 09:16

http://jenkins-test-11.nnov.opencascade.com/view/CR29748-master-NDS/ [^]
(0076156)
bugmaster (administrator)
2018-05-23 12:20

Combination -
OCCT branch : CR29748 SHA - c3a617a095fd451ffd1ce4e5ccc08ef4ee903e51
Products branch : master SHA - 300cf879a836fb8a5c4636713070ca9cf544749f
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18313.159999999876 / 18243.73999999987 [+0.38%]
Products
Total CPU difference: 7520.570000000036 / 7505.500000000054 [+0.20%]
Windows-64-VC10:
OCCT
Total CPU difference: 17986.13529499843 / 18049.78370299853 [-0.35%]
Products
Total CPU difference: 7686.200470199954 / 7697.713343999945 [-0.15%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0076287)
git (administrator)
2018-05-24 18:13

Branch CR29748 has been deleted by kgv.

SHA-1: c3a617a095fd451ffd1ce4e5ccc08ef4ee903e51

- Related Changesets
occt: master 042e09aa
Timestamp: 2018-05-08 17:21:08
Author: abv
Committer: abv
Details ] Diff ]
0029748: Samples - Inspector tool - use recently opened files in TInspectorEXE

- recently files using in open file dialog
- correction of TInspectorEXE title to show opened file path by Start
mod - tools/DFBrowser/DFBrowser_Window.cxx Diff ] File ]
mod - tools/DFBrowser/DFBrowser_Window.hxx Diff ] File ]
mod - tools/ShapeView/ShapeView_Window.cxx Diff ] File ]
mod - tools/TInspector/TInspector_Communicator.hxx Diff ] File ]
mod - tools/TInspector/TInspector_PluginParameters.hxx Diff ] File ]
mod - tools/TInspector/TInspector_Preferences.cxx Diff ] File ]
mod - tools/TInspector/TInspector_Window.cxx Diff ] File ]
mod - tools/TInspector/TInspector_Window.hxx Diff ] File ]
mod - tools/TInspectorAPI/TInspectorAPI_PluginParameters.hxx Diff ] File ]
mod - tools/TInspectorEXE/TInspectorEXE.cxx Diff ] File ]
mod - tools/TInspectorEXE/TInspectorEXE_OpenFileDialog.cxx Diff ] File ]
mod - tools/TInspectorEXE/TInspectorEXE_OpenFileDialog.hxx Diff ] File ]
mod - tools/TInspectorEXE/TInspectorEXE_OpenFileViewModel.cxx Diff ] File ]
mod - tools/VInspector/VInspector_Window.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-05-08 20:13 nds New Issue
2018-05-08 20:13 nds Assigned To => nds
2018-05-08 20:22 git Note Added: 0075906
2018-05-10 07:19 nds Status new => resolved
2018-05-10 09:16 nds Note Added: 0075911
2018-05-10 09:16 nds Status resolved => reviewed
2018-05-17 11:17 nds Assigned To nds => bugmaster
2018-05-23 12:19 bugmaster Test case number => Not needed
2018-05-23 12:20 bugmaster Note Added: 0076156
2018-05-23 12:20 bugmaster Status reviewed => tested
2018-05-24 16:02 abv Changeset attached => occt master 042e09aa
2018-05-24 16:02 abv Assigned To bugmaster => abv
2018-05-24 16:02 abv Status tested => verified
2018-05-24 16:02 abv Resolution open => fixed
2018-05-24 18:13 git Note Added: 0076287
2018-06-29 21:13 aiv Fixed in Version => 7.3.0
2018-06-29 21:19 aiv Status verified => closed
2018-07-05 10:06 abv Category OCCT:Samples => OCCT:Inspectors


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker